### Class

# CloudProviders Account

#### Description [src]

    final class CloudProviders.Account : GObject.Object
    {
      /* No available fields */
    }

Base object for representing a single account for clients.

CloudProvidersAccount is the basic object used to construct the integrator UI and actions that a provider will present to the user, from the client side. Integrators of the cloud providers can use this object to poll the `CloudProvidersProvider` menus, status and actions.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### cloud_providers_account_new

A `CloudProvidersAccount` object is used to fetch details about cloud providers from DBus. It is usually fetched from `cloud_providers_provider_get_accounts()` as a list.

#### Instance methods

###### cloud_providers_account_get_action_group

Get the action group exported in addition to the `GMenuModel` from `cloud_providers_account_get_menu_model()`.

###### cloud_providers_account_get_icon

Get the icon of the account.

###### cloud_providers_account_get_menu_model

Get the menu model exported for the account.

###### cloud_providers_account_get_name

Get the name of the account.

###### cloud_providers_account_get_path

Get the directory path of the account.

###### cloud_providers_account_get_status

Get the status of the account.

###### cloud_providers_account_get_status_details

Get the status details of the account.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### CloudProviders.Account:action-group

The action group associated with the account and menu model.

###### CloudProviders.Account:icon

The icon representing the account.

###### CloudProviders.Account:menu-model

The menu model associated with the account.

###### CloudProviders.Account:name

The name of the account.

###### CloudProviders.Account:path

The path of the directory where files are located.

###### CloudProviders.Account:status

Status of the account.

###### CloudProviders.Account:status-details

The details of the account status.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CloudProvidersAccountClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.